<html>
<head>
<link rel="stylesheet" type="text/css" href=".\css\style_1.css">
<style type="text/css">
#div {
  text-align: center;
  position: relative;
  top: 20; left: 5%;
  width: 80%;
  }
</style>
</head>
<body>

<?php

include './core.php';

$suchbegriff = mysql_real_escape_string($_GET['a']);
$prfbegriff = mysql_real_escape_string($_GET['profession']);
$order = mysql_real_escape_string($_GET['ordnen']);
if ($order == "" or $order == "Professionsstufe")
	$order = "minimum";
	

$min = mysql_real_escape_string($_GET['min']);
$max = mysql_real_escape_string($_GET['max']);

if ($min < 0 or $min=="")
	$min = 0;
if ($max < 1 or $max=="")
	$max = 1;
	
echo "<form action='itemsuche.php' method='get'>
<input name='a' type='text' size='30' value='$suchbegriff'>
<input type='submit' value='Suchen'><br>
Profession: <select name='profession'>
<option>Alle</option>";

$query = "SELECT bezeichnung FROM server.professionen WHERE id != 0"; 
$result = $MySQL->query($query);
while ($profession = mysql_fetch_object($result)) {
	if ($prfbegriff != $profession->bezeichnung)
	echo "<option>$profession->bezeichnung</option>";
	else
	echo "<option selected>$profession->bezeichnung</option>";
	}
echo"</select>";

echo "Ab Ergebniss Nr.
<input name='min' type='text' size='3' value='$min'> anzeigen. Anzahl Ergebisse 
<input name='max' type='text' size='3' value='$max'><br>
Ordnen nach: <select name='ordnen'>
<option ".(($order == 'Name')? 'selected' : '').">Name</option>
<option ".(($order == 'Profession')? 'selected' : '').">Profession</option>
<option ".(($order == 'minimum')? 'selected' : '').">Professionsstufe</option>
<option ".(($order == 'Beschreibung')? 'selected' : '').">Beschreibung</option>
</select><br><br>

<p align=center>
<a href='itemsuche.php?a=$suchbegriff&profession=$prfbegriff&min=".($min-$max)."&max=$max'>&#60&#60 Zurück</a>
<a href='itemsuche.php?a=$suchbegriff&profession=$prfbegriff&min=".($min+$max)."&max=$max'>Weiter &#62&#62</a></p>";

$query = "SELECT id FROM server.professionen WHERE bezeichnung = '$prfbegriff'";  
$result = $MySQL->query($query);

$profession = mysql_fetch_object($result);

if ($prfbegriff != "Alle"){
$query = "SELECT her_herstellungsid, name, beschreibung, bezeichnung, min(stufe) AS minimum FROM server.herstellung INNER JOIN server.herstellung_profession ON (server.herstellung.her_herstellungsid = herstellung_profession.herstellungsid) INNER JOIN server.professionen ON (server.herstellung_profession.profession = professionen.id) 
WHERE (name like '%$suchbegriff%' OR beschreibung like '%$suchbegriff%' OR name_interface like '%$suchbegriff%') AND (profession = $profession->id) AND (freigeschalten = 1) AND (beschreibung != '')
GROUP BY her_herstellungsid, profession ORDER BY $order LIMIT $min, $max";}
else
$query = "SELECT her_herstellungsid, name, beschreibung, bezeichnung, min(stufe) AS minimum FROM server.herstellung INNER JOIN server.herstellung_profession ON (server.herstellung.her_herstellungsid = server.herstellung_profession.herstellungsid) INNER JOIN server.professionen ON (server.herstellung_profession.profession = server.professionen.id)
WHERE (name like '%$suchbegriff%' OR beschreibung like '%$suchbegriff%' OR name_interface like '%$suchbegriff%') AND (freigeschalten = 1) AND (beschreibung != '')
GROUP BY her_herstellungsid ORDER BY $order LIMIT $min, $max";
 
$result = $MySQL->query($query);
echo "<table>";
if (mysql_num_rows($result)!=0){
while ($item = mysql_fetch_object($result)) {
	echo "<tr>";
	echo "<td><a href='baumdiagramm.php?p=$item->her_herstellungsid' target='_blank'> $item->name</a></td>";
	echo "<td>";
	echo "$item->bezeichnung</td>";
	echo "<td>";
	switch ($item->minimum) {
		case 0: echo "Anfänger</td>"; break;
		case 1: echo "Lehrling</td>"; break;
		case 2: echo "Geselle</td>"; break;
		case 3: echo "Meister</td>"; break;
		case 4: echo "Großmeister</td>"; break;}
		
	echo "<td>$item->beschreibung</td>";
	echo "</tr>";
	}}
	else echo "Keine passenden Ergebnisse.";
echo "</table>
<p align=center>
<a href='itemsuche.php?a=$suchbegriff&profession=$prfbegriff&min=".($min-$max)."&max=$max'>&#60&#60 Zurück</a>
<a href='itemsuche.php?a=$suchbegriff&profession=$prfbegriff&min=".($min+$max)."&max=$max'>Weiter &#62&#62</a></p>";
echo "</form>";

$Smarty->assign( 'page', $page );
$Smarty->display( 'main.tpl' );

?>
</div></form>
</body>
</html>
